/******************************************************************************
 * This file was generated by langium-cli 3.0.3.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/
import type { AstNode, ReferenceInfo, TypeMetaData } from 'langium';
import { AbstractAstReflection } from 'langium';
export declare const MermaidTerminals: {
    NEWLINE: RegExp;
    ACC_DESCR: RegExp;
    ACC_TITLE: RegExp;
    TITLE: RegExp;
    WHITESPACE: RegExp;
    YAML: RegExp;
    DIRECTIVE: RegExp;
    SINGLE_LINE_COMMENT: RegExp;
    INT: RegExp;
    STRING: RegExp;
    PIE_SECTION_LABEL: RegExp;
    PIE_SECTION_VALUE: RegExp;
    ARROW_DIRECTION: RegExp;
    ARCH_ID: RegExp;
    ARCH_TEXT_ICON: RegExp;
    ARCH_ICON: RegExp;
    ARCH_TITLE: RegExp;
    ARROW_GROUP: RegExp;
    ARROW_INTO: RegExp;
    ID: RegExp;
};
export type Statement = Branch | Checkout | CherryPicking | Commit | Merge;
export declare const Statement = "Statement";
export declare function isStatement(item: unknown): item is Statement;
export interface Architecture extends AstNode {
    readonly $type: 'Architecture';
    accDescr?: string;
    accTitle?: string;
    edges: Array<Edge>;
    groups: Array<Group>;
    junctions: Array<Junction>;
    services: Array<Service>;
    title?: string;
}
export declare const Architecture = "Architecture";
export declare function isArchitecture(item: unknown): item is Architecture;
export interface Branch extends AstNode {
    readonly $container: GitGraph;
    readonly $type: 'Branch';
    name: string;
    order?: number;
}
export declare const Branch = "Branch";
export declare function isBranch(item: unknown): item is Branch;
export interface Checkout extends AstNode {
    readonly $container: GitGraph;
    readonly $type: 'Checkout';
    branch: string;
}
export declare const Checkout = "Checkout";
export declare function isCheckout(item: unknown): item is Checkout;
export interface CherryPicking extends AstNode {
    readonly $container: GitGraph;
    readonly $type: 'CherryPicking';
    id?: string;
    parent?: string;
    tags: Array<string>;
}
export declare const CherryPicking = "CherryPicking";
export declare function isCherryPicking(item: unknown): item is CherryPicking;
export interface Commit extends AstNode {
    readonly $container: GitGraph;
    readonly $type: 'Commit';
    id?: string;
    message?: string;
    tags: Array<string>;
    type?: 'HIGHLIGHT' | 'NORMAL' | 'REVERSE';
}
export declare const Commit = "Commit";
export declare function isCommit(item: unknown): item is Commit;
export interface Common extends AstNode {
    readonly $type: 'Common';
    accDescr?: string;
    accTitle?: string;
    title?: string;
}
export declare const Common = "Common";
export declare function isCommon(item: unknown): item is Common;
export interface Edge extends AstNode {
    readonly $container: Architecture;
    readonly $type: 'Edge';
    lhsDir: string;
    lhsGroup: boolean;
    lhsId: string;
    lhsInto: boolean;
    rhsDir: string;
    rhsGroup: boolean;
    rhsId: string;
    rhsInto: boolean;
    title?: string;
}
export declare const Edge = "Edge";
export declare function isEdge(item: unknown): item is Edge;
export interface GitGraph extends AstNode {
    readonly $type: 'Direction' | 'GitGraph';
    accDescr?: string;
    accTitle?: string;
    statements: Array<Statement>;
    title?: string;
}
export declare const GitGraph = "GitGraph";
export declare function isGitGraph(item: unknown): item is GitGraph;
export interface Group extends AstNode {
    readonly $container: Architecture;
    readonly $type: 'Group';
    icon?: string;
    id: string;
    in?: string;
    title?: string;
}
export declare const Group = "Group";
export declare function isGroup(item: unknown): item is Group;
export interface Info extends AstNode {
    readonly $type: 'Info';
    accDescr?: string;
    accTitle?: string;
    title?: string;
}
export declare const Info = "Info";
export declare function isInfo(item: unknown): item is Info;
export interface Junction extends AstNode {
    readonly $container: Architecture;
    readonly $type: 'Junction';
    id: string;
    in?: string;
}
export declare const Junction = "Junction";
export declare function isJunction(item: unknown): item is Junction;
export interface Merge extends AstNode {
    readonly $container: GitGraph;
    readonly $type: 'Merge';
    branch: string;
    id?: string;
    tags: Array<string>;
    type?: 'HIGHLIGHT' | 'NORMAL' | 'REVERSE';
}
export declare const Merge = "Merge";
export declare function isMerge(item: unknown): item is Merge;
export interface Packet extends AstNode {
    readonly $type: 'Packet';
    accDescr?: string;
    accTitle?: string;
    blocks: Array<PacketBlock>;
    title?: string;
}
export declare const Packet = "Packet";
export declare function isPacket(item: unknown): item is Packet;
export interface PacketBlock extends AstNode {
    readonly $container: Packet;
    readonly $type: 'PacketBlock';
    end?: number;
    label: string;
    start: number;
}
export declare const PacketBlock = "PacketBlock";
export declare function isPacketBlock(item: unknown): item is PacketBlock;
export interface Pie extends AstNode {
    readonly $type: 'Pie';
    accDescr?: string;
    accTitle?: string;
    sections: Array<PieSection>;
    showData: boolean;
    title?: string;
}
export declare const Pie = "Pie";
export declare function isPie(item: unknown): item is Pie;
export interface PieSection extends AstNode {
    readonly $container: Pie;
    readonly $type: 'PieSection';
    label: string;
    value: number;
}
export declare const PieSection = "PieSection";
export declare function isPieSection(item: unknown): item is PieSection;
export interface Service extends AstNode {
    readonly $container: Architecture;
    readonly $type: 'Service';
    icon?: string;
    iconText?: string;
    id: string;
    in?: string;
    title?: string;
}
export declare const Service = "Service";
export declare function isService(item: unknown): item is Service;
export interface Direction extends GitGraph {
    readonly $type: 'Direction';
    dir: 'BT' | 'LR' | 'TB';
}
export declare const Direction = "Direction";
export declare function isDirection(item: unknown): item is Direction;
export type MermaidAstType = {
    Architecture: Architecture;
    Branch: Branch;
    Checkout: Checkout;
    CherryPicking: CherryPicking;
    Commit: Commit;
    Common: Common;
    Direction: Direction;
    Edge: Edge;
    GitGraph: GitGraph;
    Group: Group;
    Info: Info;
    Junction: Junction;
    Merge: Merge;
    Packet: Packet;
    PacketBlock: PacketBlock;
    Pie: Pie;
    PieSection: PieSection;
    Service: Service;
    Statement: Statement;
};
export declare class MermaidAstReflection extends AbstractAstReflection {
    getAllTypes(): string[];
    protected computeIsSubtype(subtype: string, supertype: string): boolean;
    getReferenceType(refInfo: ReferenceInfo): string;
    getTypeMetaData(type: string): TypeMetaData;
}
export declare const reflection: MermaidAstReflection;
